org.apache.nutch.storage

## Class ParseStatus.Tombstone

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.gora.persistency.impl.PersistentBase
    - - org.apache.nutch.storage.ParseStatus
      - - org.apache.nutch.storage.ParseStatus.Tombstone

- All Implemented Interfaces:
    java.io.Externalizable, java.io.Serializable, java.lang.Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord, org.apache.gora.persistency.Dirtyable, org.apache.gora.persistency.Persistent, org.apache.gora.persistency.Tombstone
  Enclosing class:
    ParseStatus

      public static final class ParseStatus.Tombstone
      extends ParseStatus
      implements org.apache.gora.persistency.Tombstone

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.nutch.storage.ParseStatus

      `ParseStatus.Builder, ParseStatus.Field, ParseStatus.Tombstone`

    - ### Nested classes/interfaces inherited from class org.apache.gora.persistency.impl.PersistentBase

      `org.apache.gora.persistency.impl.PersistentBase.PersistentData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.storage.ParseStatus

      `_ALL_FIELDS, SCHEMA$`

    - ### Fields inherited from interface org.apache.gora.persistency.Persistent

      `DIRTY_BYTES_FIELD_NAME`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.CharSequence>` | `getArgs()` Gets the value of the 'args' field.
    `java.lang.Integer` | `getMajorCode()` Gets the value of the 'majorCode' field.
    `java.lang.Integer` | `getMinorCode()` Gets the value of the 'minorCode' field.
    `boolean` | `isArgsDirty()` Checks the dirty status of the 'args' field.
    `boolean` | `isMajorCodeDirty()` Checks the dirty status of the 'majorCode' field.
    `boolean` | `isMinorCodeDirty()` Checks the dirty status of the 'minorCode' field.
    `void` | `setArgs(java.util.List<java.lang.CharSequence> value)` Sets the value of the 'args' field.
    `void` | `setMajorCode(java.lang.Integer value)` Sets the value of the 'majorCode' field.
    `void` | `setMinorCode(java.lang.Integer value)` Sets the value of the 'minorCode' field.

    - ### Methods inherited from class org.apache.nutch.storage.ParseStatus

      `get, getFieldsCount, getSchema, getTombstone, newBuilder, newBuilder, newBuilder, newInstance, put, readExternal, writeExternal`

    - ### Methods inherited from class org.apache.gora.persistency.impl.PersistentBase

      `clear, clearDirty, clearDirty, clearDirty, equals, getDirtyBytes, getUnmanagedFields, isDirty, isDirty, isDirty, setDirty, setDirty, setDirty, setDirtyBytes`

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, get, getConverion, getConversion, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.gora.persistency.Persistent

      `clear, clearDirty, clearDirty, getUnmanagedFields, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from interface org.apache.gora.persistency.Dirtyable

      `clearDirty, isDirty`

- - ### Method Detail

    - #### getMajorCode

          public java.lang.Integer getMajorCode()

      Gets the value of the 'majorCode' field. Major parsing status' including NOTPARSED (Parsing was not performed), SUCCESS (Parsing succeeded), FAILED (General failure. There may be a more specific error message in arguments.)
      Overrides:
        `getMajorCode` in class `ParseStatus`

    - #### setMajorCode

          public void setMajorCode(java.lang.Integer value)

      Sets the value of the 'majorCode' field. Major parsing status' including NOTPARSED (Parsing was not performed), SUCCESS (Parsing succeeded), FAILED (General failure. There may be a more specific error message in arguments.) * @param value the value to set.
      Overrides:
        `setMajorCode` in class `ParseStatus`

    - #### isMajorCodeDirty

          public boolean isMajorCodeDirty()

      Checks the dirty status of the 'majorCode' field. A field is dirty if it represents a change that has not yet been written to the database. Major parsing status' including NOTPARSED (Parsing was not performed), SUCCESS (Parsing succeeded), FAILED (General failure. There may be a more specific error message in arguments.) * @param value the value to set.
      Overrides:
        `isMajorCodeDirty` in class `ParseStatus`

    - #### getMinorCode

          public java.lang.Integer getMinorCode()

      Gets the value of the 'minorCode' field. Minor parsing status' including SUCCESS_OK - Successful parse devoid of anomalies or issues, SUCCESS_REDIRECT - Parsed content contains a directive to redirect to another URL. The target URL can be retrieved from the arguments., FAILED_EXCEPTION - Parsing failed. An Exception occured which may be retrieved from the arguments., FAILED_TRUNCATED - Parsing failed. Content was truncated, but the parser cannot handle incomplete content., FAILED_INVALID_FORMAT - Parsing failed. Invalid format e.g. the content may be corrupted or of wrong type., FAILED_MISSING_PARTS - Parsing failed. Other related parts of the content are needed to complete parsing. The list of URLs to missing parts may be provided in arguments. The Fetcher may decide to fetch these parts at once, then put them into Content.metadata, and supply them for re-parsing., FAILED_MISING_CONTENT - Parsing failed. There was no content to be parsed - probably caused by errors at protocol stage.
      Overrides:
        `getMinorCode` in class `ParseStatus`

    - #### setMinorCode

          public void setMinorCode(java.lang.Integer value)

      Sets the value of the 'minorCode' field. Minor parsing status' including SUCCESS_OK - Successful parse devoid of anomalies or issues, SUCCESS_REDIRECT - Parsed content contains a directive to redirect to another URL. The target URL can be retrieved from the arguments., FAILED_EXCEPTION - Parsing failed. An Exception occured which may be retrieved from the arguments., FAILED_TRUNCATED - Parsing failed. Content was truncated, but the parser cannot handle incomplete content., FAILED_INVALID_FORMAT - Parsing failed. Invalid format e.g. the content may be corrupted or of wrong type., FAILED_MISSING_PARTS - Parsing failed. Other related parts of the content are needed to complete parsing. The list of URLs to missing parts may be provided in arguments. The Fetcher may decide to fetch these parts at once, then put them into Content.metadata, and supply them for re-parsing., FAILED_MISING_CONTENT - Parsing failed. There was no content to be parsed - probably caused by errors at protocol stage. * @param value the value to set.
      Overrides:
        `setMinorCode` in class `ParseStatus`

    - #### isMinorCodeDirty

          public boolean isMinorCodeDirty()

      Checks the dirty status of the 'minorCode' field. A field is dirty if it represents a change that has not yet been written to the database. Minor parsing status' including SUCCESS_OK - Successful parse devoid of anomalies or issues, SUCCESS_REDIRECT - Parsed content contains a directive to redirect to another URL. The target URL can be retrieved from the arguments., FAILED_EXCEPTION - Parsing failed. An Exception occured which may be retrieved from the arguments., FAILED_TRUNCATED - Parsing failed. Content was truncated, but the parser cannot handle incomplete content., FAILED_INVALID_FORMAT - Parsing failed. Invalid format e.g. the content may be corrupted or of wrong type., FAILED_MISSING_PARTS - Parsing failed. Other related parts of the content are needed to complete parsing. The list of URLs to missing parts may be provided in arguments. The Fetcher may decide to fetch these parts at once, then put them into Content.metadata, and supply them for re-parsing., FAILED_MISING_CONTENT - Parsing failed. There was no content to be parsed - probably caused by errors at protocol stage. * @param value the value to set.
      Overrides:
        `isMinorCodeDirty` in class `ParseStatus`

    - #### getArgs

          public java.util.List<java.lang.CharSequence> getArgs()

      Gets the value of the 'args' field. Optional arguments supplied to compliment and/or justify the parse status code.
      Overrides:
        `getArgs` in class `ParseStatus`

    - #### setArgs

          public void setArgs(java.util.List<java.lang.CharSequence> value)

      Sets the value of the 'args' field. Optional arguments supplied to compliment and/or justify the parse status code. * @param value the value to set.
      Overrides:
        `setArgs` in class `ParseStatus`

    - #### isArgsDirty

          public boolean isArgsDirty()

      Checks the dirty status of the 'args' field. A field is dirty if it represents a change that has not yet been written to the database. Optional arguments supplied to compliment and/or justify the parse status code. * @param value the value to set.
      Overrides:
        `isArgsDirty` in class `ParseStatus`

Copyright © 2019 The Apache Software Foundation